CAD & Lisp

LISP

가상선 긋기 (GrDraw)

홍사훈     0건     675회

본문

◆ grdraw 함수란?

   (grdraw) 함수는 캐드에 실제로 선을 긋지는 않습니다. 하지만 화면상에서 꼭 그어진 것처럼 보이게 합니다.

   (getcorner)함수를 사용하면 첫번째점과 두번째점을 가상의 선으로 그려주는 모습이 보입니다. 그것과도 같이 가상의 선을 그려줍니다.

 

◆ 함수 형태

(grdraw 시작점 끝점 색깔 [highlight])

   '시작점'에서 '끝점'까지 '색깔번호' 의 선을 그려줍니다.

   'highlight' 라는 옵션에 '1' 이라고 써주면 점선으로 표현됩니다.

 

◆ 예제

   아래는 사용자가 두점을 선택하면 노란색(2번)으로 highlight 효과를 주어 화면에 가상선을 그려줍니다.

(defun c:test1(/ p1 p2)

        (Setq p1 (getpoint "1st Point : ")

              p2 (getpoint "2nd Point : ")

        )

        (grdraw p1 p2 2 1)   ;highlight 옵션포함

   )

 

 아래는 사용자가 두점을 선택하면 녹색(3번)으로 highlight 효과없이 화면에 가상선을 그려줍니다.

   (defun c:test2(/ p1 p2)

        (Setq p1 (getpoint "1st Point : ")

              p2 (getpoint "2nd Point : ")

        )

        (grdraw p1 p2 3)   ;highlight 옵션포함

   ) 

등록된 댓글이 없습니다.



Copyrightⓡ1996~2017, sahoon.com All Rights Reserved.